# Uses of Interface
org.opensaml.saml.saml2.metadata.ManageNameIDService

Packages that use ManageNameIDService
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of ManageNameIDService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type ManageNameIDService
Modifier and Type
Method
Description
`List<ManageNameIDService>`
SSODescriptor.`getManageNameIDServices()`
Gets a list of manage NameId services for this service.

## Uses of ManageNameIDService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement ManageNameIDService
Modifier and Type
Class
Description
`class`
`ManageNameIDServiceImpl`
Concrete implementation of `ManageNameIDService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type ManageNameIDService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ManageNameIDService>`
SSODescriptorImpl.`manageNameIDServices`
Manage NameID services for this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return ManageNameIDService
Modifier and Type
Method
Description
`ManageNameIDService`
ManageNameIDServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ManageNameIDService`
ManageNameIDServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type ManageNameIDService
Modifier and Type
Method
Description
`List<ManageNameIDService>`
SSODescriptorImpl.`getManageNameIDServices()`
Gets a list of manage NameId services for this service.